Package com.io7m.cardant.database.postgres.internal

# Class CADBQLocationAttachmentAdd

java.lang.Object
com.io7m.cardant.database.postgres.internal.CADBQLocationAttachmentAdd

All Implemented Interfaces:
  `CADatabaseQueriesLocationsType`, `CADatabaseQueriesLocationsType.AttachmentAddType`, `CADatabaseQueriesType`, `CADatabaseQueryType<CADatabaseQueriesLocationsType.AttachmentAddType.Parameters,CADatabaseUnit>`

public final class CADBQLocationAttachmentAdd extends Object implements CADatabaseQueriesLocationsType.AttachmentAddType
Add an attachment to a location.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface com.io7m.cardant.database.api.CADatabaseQueriesLocationsType

  `CADatabaseQueriesLocationsType.AttachmentAddType, CADatabaseQueriesLocationsType.AttachmentRemoveType, CADatabaseQueriesLocationsType.GetType, CADatabaseQueriesLocationsType.ListType, CADatabaseQueriesLocationsType.MetadataPutType, CADatabaseQueriesLocationsType.MetadataRemoveType, CADatabaseQueriesLocationsType.PutType, CADatabaseQueriesLocationsType.TypesAssignType, CADatabaseQueriesLocationsType.TypesRevokeType`

  ## Nested classes/interfaces inherited from interface com.io7m.cardant.database.api.CADatabaseQueriesLocationsType.AttachmentAddType

  `CADatabaseQueriesLocationsType.AttachmentAddType.Parameters`

- ## Field Summary

  ### Fields inherited from interface com.io7m.cardant.database.api.CADatabaseQueriesType

  `EARLIEST`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CADBQLocationAttachmentAdd(com.io7m.cardant.database.postgres.internal.CADatabaseTransaction transaction)`
  Construct a query.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected final Map<String,String>`
  `attributes()`
  `final CADatabaseUnit`
  `execute(CADatabaseQueriesLocationsType.AttachmentAddType.Parameters parameters)`
  Execute the query.
  `protected final String`
  `local(CAStringConstantType constant)`
  `protected CADatabaseUnit`
  `onExecute(org.jooq.DSLContext context, CADatabaseQueriesLocationsType.AttachmentAddType.Parameters parameters)`
  `static CADBQueryProviderType`
  `provider()`
  `protected final void`
  `setAttribute(CAStringConstantType name, String value)`
  `protected final com.io7m.cardant.database.postgres.internal.CADatabaseTransaction`
  `transaction()`
  `protected final io.opentelemetry.api.trace.Span`
  `transactionSpan()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface com.io7m.cardant.database.api.CADatabaseQueryType

  `execute`

- ## Constructor Details

  - ### CADBQLocationAttachmentAdd

    public CADBQLocationAttachmentAdd(com.io7m.cardant.database.postgres.internal.CADatabaseTransaction transaction)
    Construct a query.
    Parameters:
      `transaction` - The transaction

- ## Method Details

  - ### provider

    public static CADBQueryProviderType provider()
    Returns:
      A query provider

  - ### onExecute

    protected CADatabaseUnit onExecute(org.jooq.DSLContext context, CADatabaseQueriesLocationsType.AttachmentAddType.Parameters parameters) throws CADatabaseException
    Throws:
      `CADatabaseException`

  - ### transactionSpan

    protected final io.opentelemetry.api.trace.Span transactionSpan()

  - ### transaction

    protected final com.io7m.cardant.database.postgres.internal.CADatabaseTransaction transaction()

  - ### local

    protected final String local(CAStringConstantType constant)

  - ### setAttribute

    protected final void setAttribute(CAStringConstantType name, String value)

  - ### execute

    public final CADatabaseUnit execute(CADatabaseQueriesLocationsType.AttachmentAddType.Parameters parameters) throws CADatabaseException
    Description copied from interface: `CADatabaseQueryType`
    Execute the query.
    Specified by:
      `execute` in interface `CADatabaseQueryType<P,R>`
    Parameters:
      `parameters` - The parameters
    Returns:
      The results
    Throws:
      `CADatabaseException` - On errors

  - ### attributes

    protected final Map<String,String> attributes()